OpenThreads::Atomic Class Reference

This class provides an atomic increment and decrement operation. More...

`#include <Atomic>`

## Public Member Functions

| Atomic (unsigned value=0)
_OPENTHREADS_ATOMIC_INLINE unsigned | operator++ ()
_OPENTHREADS_ATOMIC_INLINE unsigned | operator-- ()
_OPENTHREADS_ATOMIC_INLINE unsigned | AND (unsigned value)
_OPENTHREADS_ATOMIC_INLINE unsigned | OR (unsigned value)
_OPENTHREADS_ATOMIC_INLINE unsigned | XOR (unsigned value)
_OPENTHREADS_ATOMIC_INLINE unsigned | exchange (unsigned value=0)
_OPENTHREADS_ATOMIC_INLINE | operator unsigned () const

## Detailed Description

This class provides an atomic increment and decrement operation.

## Constructor & Destructor Documentation

## Atomic()

OpenThreads::Atomic::Atomic | ( | unsigned | value = 0 | ) |

inline

## Member Function Documentation

## AND()

_OPENTHREADS_ATOMIC_INLINE unsigned OpenThreads::Atomic::AND | ( | unsigned | value | ) |

## exchange()

_OPENTHREADS_ATOMIC_INLINE unsigned OpenThreads::Atomic::exchange | ( | unsigned | value = 0 | ) |

## operator unsigned()

_OPENTHREADS_ATOMIC_INLINE OpenThreads::Atomic::operator unsigned | ( |  | ) | const

## operator++()

_OPENTHREADS_ATOMIC_INLINE unsigned OpenThreads::Atomic::operator++ | ( |  | ) |

## operator--()

_OPENTHREADS_ATOMIC_INLINE unsigned OpenThreads::Atomic::operator-- | ( |  | ) |

## OR()

_OPENTHREADS_ATOMIC_INLINE unsigned OpenThreads::Atomic::OR | ( | unsigned | value | ) |

## XOR()

_OPENTHREADS_ATOMIC_INLINE unsigned OpenThreads::Atomic::XOR | ( | unsigned | value | ) |

The documentation for this class was generated from the following file:

- Atomic